> For the complete documentation index, see [llms.txt](https://api-docs.gatcg.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.gatcg.com/endpoints/images.md).

# Images

## GET /cards/images/{filename}

> Get a card edition's image.

```json
{"openapi":"3.0.3","info":{"title":"Grand Archive API","version":"1.1.0"},"servers":[{"url":"https://api.gatcg.com","description":"Production server (uses live data)"}],"paths":{"/cards/images/{filename}":{"get":{"operationId":"GetCardImageAPISpec_get_/cards/images/{filename}","tags":["Individual cards","Images"],"summary":"Get a card edition's image.","parameters":[{"description":"The filename to download.","name":"filename","in":"path","required":true,"schema":{"type":"string"}},{"description":"Round the corners of the image. Note that whilst the request remains as `.jpg` the output file type will be `.png` instead.","name":"rounded","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"Image file.","content":{"application/json":{"schema":{"items":{"type":"string","format":"binary"},"description":"Image file.","type":"array"}}}},"404":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"description":"Error message.","type":"string"}},"additionalProperties":false,"required":["error"]}}}}}}}}}
```

## Get featured set image.

> This returns a featured set group's logo image.

```json
{"openapi":"3.0.3","info":{"title":"Grand Archive API","version":"1.1.0"},"servers":[{"url":"https://api.gatcg.com","description":"Production server (uses live data)"}],"paths":{"/featured-sets/images/{filename}":{"get":{"operationId":"GetFeaturedSetImageAPISpec_get_/featured-sets/images/{filename}","tags":["Featured Sets","Images"],"summary":"Get featured set image.","description":"This returns a featured set group's logo image.","parameters":[{"description":"The filename to download.","name":"filename","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Image file.","content":{"application/json":{"schema":{"items":{"type":"string","format":"binary"},"description":"Image file.","type":"array"}}}},"404":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"description":"Error message.","type":"string"}},"additionalProperties":false,"required":["error"]}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-docs.gatcg.com/endpoints/images.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
